tracker-unique(1)

NAME
tracker-unique - command line tool to ask for unique values of a property in tracker.

SYNOPSIS
tracker-unique [OPTIONS] -p RDFFILE FIELD [FIELD...]

DESCRIPTION
tracker-unique gets all the unique values of FIELD after running the RDF query in RDFFILE.

More than one field can be used, and then it will return the unique values of the combination.

OPTIONS

-?, --help
    Show summary of options.

-p, --path=RDFFILE
    A file containing a RDF query. (See documentation for description of the format).

FIELD
    A valid property in tracker. For more information on tracker properties, see tracker-services(1)

-s, --service=SERVICE
    Limit the query to the specified service type. For more information on tracker services, see tracker-services(1)

-c, --count=FIELD
    Count different values of FIELD in the result of the query.

-u, --sum=FIELD
    Add all values of FIELD in the result of the query.

-o, --desc
    Sort to descending order

SEE ALSO
trackerd(1), tracker-services(1).

AUTHOR
tracker-unique was written by Mikael Ottela <mikael.ottela@ixonos.com>.